First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 93173
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Mobile Herd <mobile@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Manolis Tzanidakis <manolis@tzanidakis.gr>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 93173 depends on: Show dependency tree
Show dependency graph
Bug 93173 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)







View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2005-05-19 03:25 0000
irdadump doesn't get installed.

Reproducible: Always
Steps to Reproduce:
1.emerge irda-utils
2.
3.




The following patch fixes it:

--- irda-utils-0.9.16.ebuild    2005-05-18 23:56:53.000000000 +0300
+++ irda-utils-0.9.16-r1.ebuild 2005-05-19 00:02:44.000000000 +0300
@@ -28,6 +28,7 @@
 
 src_compile() {
        export WANT_AUTOMAKE=1.4
+       export WANT_AUTOCONF=2.5
        export RPM_OPT_FLAGS=${CFLAGS}
 
        emake ROOT="${D}" RPM_BUILD_ROOT="${D}" || die "Making failed."
@@ -35,6 +36,9 @@
        cd ${S}/irsockets
        emake || die "Making irsockets failed."
 
+       cd ${S}/irdadump
+       emake || die "Making irdadump failed."
+
        if use gtk; then
                cd ${S}/findchip
                emake gfindchip || die "Making gfindchip failed."

------- Comment #1 From Henrik Brix Andersen 2005-05-19 03:56:29 0000 -------
Thanks, I'll take a look at it.

------- Comment #2 From Peter Volkov 2005-05-28 12:13:12 0000 -------
I've tried this patch and it works for me. At least irdadump is installed for 
me now. 
 
BTW. Without WANT_AUTOMAKE irda-utils complain about: 
FATAL ERROR: Autoconf version 2.50 or higher is required for this script 
 

------- Comment #3 From Henrik Brix Andersen 2005-05-31 02:36:25 0000 -------
Fixed in net-wireless/irda-utils-0.9.16-r1.

No need to cd ${S}/irdadump and run emake as this is handled by the Makefile itself.

First Last Prev Next    No search results available      Search page      Enter new bug